Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004536 [JEDI VCL] 00 JVCL Components minor always 2008-10-15 16:37 2008-10-24 13:51
Reporter uweiq139 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004536: JvHotTrackPersistent.hpp 'System' is no element of 'system'
Description Erzeugen / Generate
  [BCC32 Fehler] Jvhottrackpersistent.hpp(62): E2316 'System' ist kein Element von 'System' / 'System' is no element of 'system'
  [BCC32 Fehler] Jvhottrackpersistent.hpp(62): E2303 Typname erwartet / Typename expected
  [BCC32 Fehler] Jvhottrackpersistent.hpp(62): E2275 { erwartet / { expected
Additional Information __interface IJvHotTrack;
typedef System::DelphiInterface<IJvHotTrack> _di_IJvHotTrack;
__interface INTERFACE_UUID("{8F1B40FB-D8E3-46FE-A7A3-21CE4B199A8F}") IJvHotTrack : public System::IInterface

Changed to:
__interface INTERFACE_UUID("{8F1B40FB-D8E3-46FE-A7A3-21CE4B199A8F}") IJvHotTrack : public IInterface

After changed, compiled without errors!
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0014867)
obones (administrator)
2008-10-16 00:02

Which version of Delphi?
Which version of the JVCL?

And please note that the HPP files are not distributed with the JVCL, they are generated by the compiler. We thus do not have full control over them.
(0014894)
A7M (reporter)
2008-10-23 21:40

The same error also causes me in CB2009. JVCL SVN revision is 11974.
However, it does not cause in CB2007.
I pre-processed source code using cpp32.exe.
It was outputted "class __declspec(uuid("{8F1B40FB-D8E3-46FE-A7A3-21CE4B199A8F}")) IJvHotTrack : public System::System::IInterface".

Although I thought whether to have been a bug of cpp32.exe of CB2009 and tried pre-process cygwin's cpp.
It was similarly outputted "System::System::IInterface".

The minimum project that this bug causes puts TJvComboBox on TForm using CB2009.
(0014895)
AHUser (developer)
2008-10-24 13:45

Here is the problem:

unit JvDataProvider;

{$IFDEF COMPILER6_UP}
{$HPPEMIT '#define IInterface System::IInterface'}
{$ENDIF COMPILER6_UP}

- Issue History
Date Modified Username Field Change
2008-10-15 16:37 uweiq139 New Issue
2008-10-16 00:02 obones Note Added: 0014867
2008-10-16 00:02 obones Status new => feedback
2008-10-23 21:40 A7M Note Added: 0014894
2008-10-24 13:45 AHUser Note Added: 0014895
2008-10-24 13:49 AHUser Status feedback => resolved
2008-10-24 13:49 AHUser Fixed in Version => Daily / SVN
2008-10-24 13:49 AHUser Resolution open => fixed
2008-10-24 13:49 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker